Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 598263 - nomodeset still needed to fix graphics problems with Intel GMA 4500 / Aspire 1410
Summary: nomodeset still needed to fix graphics problems with Intel GMA 4500 / Aspire ...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel
Version: 12
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Adam Jackson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-31 23:27 UTC by Leek Soup
Modified: 2010-12-03 14:08 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-03 14:08:33 UTC


Attachments (Terms of Use)
Xorg log file (deleted)
2010-05-31 23:27 UTC, Leek Soup
no flags Details

Description Leek Soup 2010-05-31 23:27:11 UTC
Created attachment 418415 [details]
Xorg log file

Description of problem:

I am reporting this bug in accordance with the request on the F12 common bugs page, under "Miscellaneous problems with Intel graphics adapters". The problem I have is that unless I use the nomodeset parameter when I boot up, it stalls after starting the services and I never see the graphical login screen. I am using an Acer Aspire 1410 system with an Intel GMA 4500HD graphics chip.

Version-Release number of selected component (if applicable):
kernel.x86_64      2.6.32.12-115.fc12
xorg-x11-drv-intel.x86_64 2.9.1-1.fc12

How reproducible:
Happens every time I boot WITHOUT nomodeset kernel parameter.

Steps to Reproduce:
1. edit grub.conf and make sure nomodeset parameter is not being passed to kernel
2. boot to Fedora 12 (x86_64)
3.
  
Actual results:
All goes apparently well until it is time to start the x-server. At this point, the system just sits there. I can work around it like this:
1. press ctl-alt-F2 to get tty
2. press ctl-alt-F1 to get GUI - log in. At this point, I can log in, and the splash graphic appears but window manager never loads.
3. repeat steps 1 & 2. Now, magically, everything loads up and seems to work fine.


Expected results:
Boot continues and GUI appears with login and gdm.

Additional info:
I am not using any xorg.conf file.

Comment 1 Leek Soup 2010-06-01 17:40:47 UTC
I was mistaken when I said everything then appears to work fine. Actually, things looked fine until I tried to suspend by closing the lid. It did not appear to work (display light showed active rather than suspended state) so I opened the lid again. At this point, I saw screen flicker with a ton of notifications in a pop-up on each flash of the screen, saying:

Could not switch the monitor configuration
could not set the configuration for CRTC 64     

Then, when I logged out to clear the messages, it dropped me back to the tty instead of the GUI.

Comment 2 Bug Zapper 2010-11-03 13:46:25 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Bug Zapper 2010-12-03 14:08:33 UTC
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.